Bug 812045 - (CVE-2012-1113, CVE-2012-2405) CVE-2012-1113 CVE-2012-2405 gallery: XSS flaws in administration area and encryption-related flaws
CVE-2012-1113 CVE-2012-2405 gallery: XSS flaws in administration area and enc...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120403,repor...
: Security
Depends On: 812048 812049 812050
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 11:41 EDT by Vincent Danen
Modified: 2016-03-04 06:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 17:49:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-12 11:41:45 EDT
It was reported [1] that some low-risk XSS flaws that are limited to the administration area were found in Gallery 3.x and 2.x.  In addition, some unspecified possible encryption-related flaws were also reported.  These issues have been corrected in Gallery 2.3.2 and 3.0.3.

[1] http://gallery.menalto.com/gallery_3_0_3_and_gallery_2_3_2
Comment 1 Vincent Danen 2012-04-12 11:42:47 EDT
Created gallery2 tracking bugs for this issue

Affects: fedora-all [bug 812048]
Affects: epel-5 [bug 812050]
Comment 2 Vincent Danen 2012-04-12 11:42:52 EDT
Created gallery3 tracking bugs for this issue

Affects: fedora-rawhide [bug 812049]
Comment 3 Jan Lieskovsky 2012-04-23 05:57:46 EDT
(In reply to comment #0)
> In addition, some unspecified possible encryption-related flaws were also reported.

Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2405 to
these encryption-related flaws with the following description:

Gallery 2 before 2.3.2 and 3 before 3.0.3 does not properly implement encryption, which has unspecified impact and attack vectors, a different vulnerability than CVE-2012-1113.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2405
http://gallery.menalto.com/gallery_3_0_3_and_gallery_2_3_2
https://bugzilla.redhat.com/show_bug.cgi?id=812045
Comment 4 Vincent Danen 2012-05-02 17:49:17 EDT
This is fixed in:

gallery2-2.3.2-1.el5 (EPEL5)
gallery3-3.0.3-1.el6 (EPEL6)
gallery2-2.3.2-1.fc15 (Fedora 15)
gallery3-3.0.3-1.fc16 (Fedora 16)
gallery3-3.0.3-1.fc17 (Fedora 17)

Note You need to log in before you can comment on or make changes to this bug.